# ProjectDependency

open class ProjectDependency : AbstractClasspathEntry

A classpath entry representing a project dependency.

## Constructors

ProjectDependency
Link copied to clipboard
constructor(node: Node)
constructor(path: String)
Create a dependency on another Eclipse project.

## Properties

COMPONENT_DEPENDENCY_ATTRIBUTE
Link copied to clipboard
val COMPONENT_DEPENDENCY_ATTRIBUTE: String = "org.eclipse.jst.component.dependency"
COMPONENT_NON_DEPENDENCY_ATTRIBUTE
Link copied to clipboard
val COMPONENT_NON_DEPENDENCY_ATTRIBUTE: String = "org.eclipse.jst.component.nondependency"
publication
Link copied to clipboard
open var publication: FileReference
publicationJavadocPath
Link copied to clipboard
open var publicationJavadocPath: FileReference
publicationSourcePath
Link copied to clipboard
open var publicationSourcePath: FileReference

## Functions

appendNode
Link copied to clipboard
open fun appendNode(node: Node)
buildDependencies
Link copied to clipboard
open fun buildDependencies(buildDependencies: Array<Any>)
Sets the tasks to be executed to build the file returned by getPublication
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
getAccessRules
Link copied to clipboard
open fun getAccessRules(): Set<AccessRule>
getBuildDependencies
Link copied to clipboard
open fun getBuildDependencies(): TaskDependency
Returns the tasks to be executed to build the file returned by getPublication This property doesn't have a direct effect to the Gradle Eclipse plugin's behaviour.
getEntryAttributes
Link copied to clipboard
open fun getEntryAttributes(): Map<String, Any>
getKind
Link copied to clipboard
open fun getKind(): String
getNativeLibraryLocation
Link copied to clipboard
open fun getNativeLibraryLocation(): String
getPath
Link copied to clipboard
open fun getPath(): String
hashCode
Link copied to clipboard
open fun hashCode(): Int
isExported
Link copied to clipboard
open fun isExported(): Boolean
setAccessRules
Link copied to clipboard
open fun setAccessRules(accessRules: Set<AccessRule>)
setExported
Link copied to clipboard
open fun setExported(exported: Boolean)
setNativeLibraryLocation
Link copied to clipboard
open fun setNativeLibraryLocation(location: String)
setPath
Link copied to clipboard
open fun setPath(path: String)
toString
Link copied to clipboard
open fun toString(): String
writeEntryAttributes
Link copied to clipboard
open fun writeEntryAttributes(node: Node)